TextIndenter (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.TextIndenter class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util
Class TextIndenter

    java.lang.Object
      org.hyperic.util.TextIndenter

    public class TextIndenter

extends java.lang.Object

A class which functions similarly to a StringBuffer, except that one can call pushIndent/popIndent to change the indentation level. When the indenter encounters a newline, it automatically positions the cursor at the next line, indented the proper amount.

Field Summary
`static int` | `DEFAULT_INDENT`

Constructor Summary
`TextIndenter()` Create a new TextIndenter with the default # of indentation spaces.
`TextIndenter(int indentAmount)` Create a new TextIndenter with the specified # of indentation spaces.

Method Summary
`void` | `append(java.lang.String str)`
`static void` | `main(java.lang.String[] args)`
`void` | `popIndent()`
`void` | `popIndent(int amount)`
`void` | `pushIndent()`
`void` | `pushIndent(int amount)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_INDENT

    public static final int DEFAULT_INDENT

See Also:
  Constant Field Values

Constructor Detail

### TextIndenter

    public TextIndenter(int indentAmount)

  Create a new TextIndenter with the specified # of indentation spaces.

  Parameters:
    `indentAmount` - Number of spaces to indent

### TextIndenter

    public TextIndenter()

  Create a new TextIndenter with the default # of indentation spaces.

Method Detail

### append

    public void append(java.lang.String str)

### pushIndent

    public void pushIndent(int amount)

### pushIndent

    public void pushIndent()

### popIndent

    public void popIndent(int amount)

### popIndent

    public void popIndent()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.